org.bouncycastle.cms

## Class DefaultSignedAttributeTableGenerator

- java.lang.Object
- - org.bouncycastle.cms.DefaultSignedAttributeTableGenerator

All Implemented Interfaces:
  CMSAttributeTableGenerator

    public class DefaultSignedAttributeTableGenerator
    extends java.lang.Object
    implements CMSAttributeTableGenerator

Default signed attributes generator.

### Field Summary

### Fields inherited from interface org.bouncycastle.cms.CMSAttributeTableGenerator

`CONTENT_TYPE, DIGEST, DIGEST_ALGORITHM_IDENTIFIER, SIGNATURE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultSignedAttributeTableGenerator()` Initialise to use all defaults
`DefaultSignedAttributeTableGenerator(org.bouncycastle.asn1.cms.AttributeTable attributeTable)` Initialise with some extra attributes or overrides.

### Method Summary

Methods
`protected java.util.Hashtable` `createStandardAttributeTable(java.util.Map parameters)` Create a standard attribute table from the passed in parameters - this will normally include contentType, signingTime, and messageDigest.
`org.bouncycastle.asn1.cms.AttributeTable` `getAttributes(java.util.Map parameters)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultSignedAttributeTableGenerator

    public DefaultSignedAttributeTableGenerator()

Initialise to use all defaults

#### DefaultSignedAttributeTableGenerator

    public DefaultSignedAttributeTableGenerator(org.bouncycastle.asn1.cms.AttributeTable attributeTable)

Initialise with some extra attributes or overrides.

Parameters:
  `attributeTable` - initial attribute table to use.

### Method Detail

#### createStandardAttributeTable

    protected java.util.Hashtable createStandardAttributeTable(java.util.Map parameters)

Create a standard attribute table from the passed in parameters - this will normally include contentType, signingTime, and messageDigest. If the constructor using an AttributeTable was used, entries in it for contentType, signingTime, and messageDigest will override the generated ones.

Parameters:
  `parameters` - source parameters for table generation.
Returns:
  a filled in Hashtable of attributes.

#### getAttributes

    public org.bouncycastle.asn1.cms.AttributeTable getAttributes(java.util.Map parameters)

Specified by:
  `getAttributes` in interface `CMSAttributeTableGenerator`
Parameters:
  `parameters` - source parameters
Returns:
  the populated attribute table